Skip to main content

Get the result of a connection test

GET 

/api/v1/ManagedResource/TestConnection/:resourceId/:testId

Returns the status of a connection test that you started for a resource, with the result of each step. Poll it after you start a test until the status is Passed or Failed.

Permission required: Administrator signed in with multifactor authentication, or an application account.

Values for status: 0 = Pending, 1 = Running, 2 = Passed, 3 = Failed, 4 = NotRun.

Request​

Responses​

Returns the test status, including its steps.